# DataRepeaterAddRemoveItemsCancelEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [UserDeletingItems](/api/wisej.web/containers/datarepeater.md#userdeletingitems) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataRepeaterAddRemoveItemsCancelEventArgs : CancelEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataRepeaterAddRemoveItemsCancelEventArgs
    Inherits CancelEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataRepeaterAddRemoveItemsCancelEventArgs(index, count)

Initializes a new instance of the [DataRepeaterAddRemoveItemsCancelEventArgs](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateraddremoveitemscanceleventargs.md) class.

| Name      | Type                                                        | Description                                                                                                                      |
| --------- | ----------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **index** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The index of the [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) that is being deleted. |
| **count** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The number of items being deleted.                                                                                               |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemCount

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Gets the number of items being deleted.

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the item that is being deleted.

## Used By

| Name                                                                                                                                             | Description                                                                                                                    |
| ------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------ |
| [DataRepeaterAddRemoveItemsCancelEventHandler](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateraddremoveitemscanceleventhandler.md) | Represents the method that handles the [UserDeletingItems](/api/wisej.web/containers/datarepeater.md#userdeletingitems) event. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/datarepeater/wisej.web.datarepeateraddremoveitemscanceleventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
